Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network68.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
68.0.0.0
Broadcast address
71.255.255.255
First usable
68.0.0.1
Last usable
71.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 44000000 · Integer 1140850688 to 1207959551
Reverse DNS zones
68.in-addr.arpa
69.in-addr.arpa
70.in-addr.arpa
71.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000100.00000000.00000000.0000000068.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network01000100.00000000.00000000.0000000068.0.0.0
Broadcast01000111.11111111.11111111.1111111171.255.255.255
Split into smaller subnets/14

68.0.0.0/6 makes 256 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
168.0.0.0/1468.0.0.1 to 68.3.255.25468.3.255.255262,142
268.4.0.0/1468.4.0.1 to 68.7.255.25468.7.255.255262,142
368.8.0.0/1468.8.0.1 to 68.11.255.25468.11.255.255262,142
468.12.0.0/1468.12.0.1 to 68.15.255.25468.15.255.255262,142
568.16.0.0/1468.16.0.1 to 68.19.255.25468.19.255.255262,142
668.20.0.0/1468.20.0.1 to 68.23.255.25468.23.255.255262,142
768.24.0.0/1468.24.0.1 to 68.27.255.25468.27.255.255262,142
868.28.0.0/1468.28.0.1 to 68.31.255.25468.31.255.255262,142
968.32.0.0/1468.32.0.1 to 68.35.255.25468.35.255.255262,142
1068.36.0.0/1468.36.0.1 to 68.39.255.25468.39.255.255262,142
1168.40.0.0/1468.40.0.1 to 68.43.255.25468.43.255.255262,142
1268.44.0.0/1468.44.0.1 to 68.47.255.25468.47.255.255262,142
1368.48.0.0/1468.48.0.1 to 68.51.255.25468.51.255.255262,142
1468.52.0.0/1468.52.0.1 to 68.55.255.25468.55.255.255262,142
1568.56.0.0/1468.56.0.1 to 68.59.255.25468.59.255.255262,142
1668.60.0.0/1468.60.0.1 to 68.63.255.25468.63.255.255262,142
1768.64.0.0/1468.64.0.1 to 68.67.255.25468.67.255.255262,142
1868.68.0.0/1468.68.0.1 to 68.71.255.25468.71.255.255262,142
1968.72.0.0/1468.72.0.1 to 68.75.255.25468.75.255.255262,142
2068.76.0.0/1468.76.0.1 to 68.79.255.25468.79.255.255262,142
2168.80.0.0/1468.80.0.1 to 68.83.255.25468.83.255.255262,142
2268.84.0.0/1468.84.0.1 to 68.87.255.25468.87.255.255262,142
2368.88.0.0/1468.88.0.1 to 68.91.255.25468.91.255.255262,142
2468.92.0.0/1468.92.0.1 to 68.95.255.25468.95.255.255262,142
2568.96.0.0/1468.96.0.1 to 68.99.255.25468.99.255.255262,142
2668.100.0.0/1468.100.0.1 to 68.103.255.25468.103.255.255262,142
2768.104.0.0/1468.104.0.1 to 68.107.255.25468.107.255.255262,142
2868.108.0.0/1468.108.0.1 to 68.111.255.25468.111.255.255262,142
2968.112.0.0/1468.112.0.1 to 68.115.255.25468.115.255.255262,142
3068.116.0.0/1468.116.0.1 to 68.119.255.25468.119.255.255262,142
3168.120.0.0/1468.120.0.1 to 68.123.255.25468.123.255.255262,142
3268.124.0.0/1468.124.0.1 to 68.127.255.25468.127.255.255262,142
3368.128.0.0/1468.128.0.1 to 68.131.255.25468.131.255.255262,142
3468.132.0.0/1468.132.0.1 to 68.135.255.25468.135.255.255262,142
3568.136.0.0/1468.136.0.1 to 68.139.255.25468.139.255.255262,142
3668.140.0.0/1468.140.0.1 to 68.143.255.25468.143.255.255262,142
3768.144.0.0/1468.144.0.1 to 68.147.255.25468.147.255.255262,142
3868.148.0.0/1468.148.0.1 to 68.151.255.25468.151.255.255262,142
3968.152.0.0/1468.152.0.1 to 68.155.255.25468.155.255.255262,142
4068.156.0.0/1468.156.0.1 to 68.159.255.25468.159.255.255262,142
4168.160.0.0/1468.160.0.1 to 68.163.255.25468.163.255.255262,142
4268.164.0.0/1468.164.0.1 to 68.167.255.25468.167.255.255262,142
4368.168.0.0/1468.168.0.1 to 68.171.255.25468.171.255.255262,142
4468.172.0.0/1468.172.0.1 to 68.175.255.25468.175.255.255262,142
4568.176.0.0/1468.176.0.1 to 68.179.255.25468.179.255.255262,142
4668.180.0.0/1468.180.0.1 to 68.183.255.25468.183.255.255262,142
4768.184.0.0/1468.184.0.1 to 68.187.255.25468.187.255.255262,142
4868.188.0.0/1468.188.0.1 to 68.191.255.25468.191.255.255262,142
4968.192.0.0/1468.192.0.1 to 68.195.255.25468.195.255.255262,142
5068.196.0.0/1468.196.0.1 to 68.199.255.25468.199.255.255262,142
5168.200.0.0/1468.200.0.1 to 68.203.255.25468.203.255.255262,142
5268.204.0.0/1468.204.0.1 to 68.207.255.25468.207.255.255262,142
5368.208.0.0/1468.208.0.1 to 68.211.255.25468.211.255.255262,142
5468.212.0.0/1468.212.0.1 to 68.215.255.25468.215.255.255262,142
5568.216.0.0/1468.216.0.1 to 68.219.255.25468.219.255.255262,142
5668.220.0.0/1468.220.0.1 to 68.223.255.25468.223.255.255262,142
5768.224.0.0/1468.224.0.1 to 68.227.255.25468.227.255.255262,142
5868.228.0.0/1468.228.0.1 to 68.231.255.25468.231.255.255262,142
5968.232.0.0/1468.232.0.1 to 68.235.255.25468.235.255.255262,142
6068.236.0.0/1468.236.0.1 to 68.239.255.25468.239.255.255262,142
6168.240.0.0/1468.240.0.1 to 68.243.255.25468.243.255.255262,142
6268.244.0.0/1468.244.0.1 to 68.247.255.25468.247.255.255262,142
6368.248.0.0/1468.248.0.1 to 68.251.255.25468.251.255.255262,142
6468.252.0.0/1468.252.0.1 to 68.255.255.25468.255.255.255262,142
6569.0.0.0/1469.0.0.1 to 69.3.255.25469.3.255.255262,142
6669.4.0.0/1469.4.0.1 to 69.7.255.25469.7.255.255262,142
6769.8.0.0/1469.8.0.1 to 69.11.255.25469.11.255.255262,142
6869.12.0.0/1469.12.0.1 to 69.15.255.25469.15.255.255262,142
6969.16.0.0/1469.16.0.1 to 69.19.255.25469.19.255.255262,142
7069.20.0.0/1469.20.0.1 to 69.23.255.25469.23.255.255262,142
7169.24.0.0/1469.24.0.1 to 69.27.255.25469.27.255.255262,142
7269.28.0.0/1469.28.0.1 to 69.31.255.25469.31.255.255262,142
7369.32.0.0/1469.32.0.1 to 69.35.255.25469.35.255.255262,142
7469.36.0.0/1469.36.0.1 to 69.39.255.25469.39.255.255262,142
7569.40.0.0/1469.40.0.1 to 69.43.255.25469.43.255.255262,142
7669.44.0.0/1469.44.0.1 to 69.47.255.25469.47.255.255262,142
7769.48.0.0/1469.48.0.1 to 69.51.255.25469.51.255.255262,142
7869.52.0.0/1469.52.0.1 to 69.55.255.25469.55.255.255262,142
7969.56.0.0/1469.56.0.1 to 69.59.255.25469.59.255.255262,142
8069.60.0.0/1469.60.0.1 to 69.63.255.25469.63.255.255262,142
8169.64.0.0/1469.64.0.1 to 69.67.255.25469.67.255.255262,142
8269.68.0.0/1469.68.0.1 to 69.71.255.25469.71.255.255262,142
8369.72.0.0/1469.72.0.1 to 69.75.255.25469.75.255.255262,142
8469.76.0.0/1469.76.0.1 to 69.79.255.25469.79.255.255262,142
8569.80.0.0/1469.80.0.1 to 69.83.255.25469.83.255.255262,142
8669.84.0.0/1469.84.0.1 to 69.87.255.25469.87.255.255262,142
8769.88.0.0/1469.88.0.1 to 69.91.255.25469.91.255.255262,142
8869.92.0.0/1469.92.0.1 to 69.95.255.25469.95.255.255262,142
8969.96.0.0/1469.96.0.1 to 69.99.255.25469.99.255.255262,142
9069.100.0.0/1469.100.0.1 to 69.103.255.25469.103.255.255262,142
9169.104.0.0/1469.104.0.1 to 69.107.255.25469.107.255.255262,142
9269.108.0.0/1469.108.0.1 to 69.111.255.25469.111.255.255262,142
9369.112.0.0/1469.112.0.1 to 69.115.255.25469.115.255.255262,142
9469.116.0.0/1469.116.0.1 to 69.119.255.25469.119.255.255262,142
9569.120.0.0/1469.120.0.1 to 69.123.255.25469.123.255.255262,142
9669.124.0.0/1469.124.0.1 to 69.127.255.25469.127.255.255262,142
9769.128.0.0/1469.128.0.1 to 69.131.255.25469.131.255.255262,142
9869.132.0.0/1469.132.0.1 to 69.135.255.25469.135.255.255262,142
9969.136.0.0/1469.136.0.1 to 69.139.255.25469.139.255.255262,142
10069.140.0.0/1469.140.0.1 to 69.143.255.25469.143.255.255262,142
10169.144.0.0/1469.144.0.1 to 69.147.255.25469.147.255.255262,142
10269.148.0.0/1469.148.0.1 to 69.151.255.25469.151.255.255262,142
10369.152.0.0/1469.152.0.1 to 69.155.255.25469.155.255.255262,142
10469.156.0.0/1469.156.0.1 to 69.159.255.25469.159.255.255262,142
10569.160.0.0/1469.160.0.1 to 69.163.255.25469.163.255.255262,142
10669.164.0.0/1469.164.0.1 to 69.167.255.25469.167.255.255262,142
10769.168.0.0/1469.168.0.1 to 69.171.255.25469.171.255.255262,142
10869.172.0.0/1469.172.0.1 to 69.175.255.25469.175.255.255262,142
10969.176.0.0/1469.176.0.1 to 69.179.255.25469.179.255.255262,142
11069.180.0.0/1469.180.0.1 to 69.183.255.25469.183.255.255262,142
11169.184.0.0/1469.184.0.1 to 69.187.255.25469.187.255.255262,142
11269.188.0.0/1469.188.0.1 to 69.191.255.25469.191.255.255262,142
11369.192.0.0/1469.192.0.1 to 69.195.255.25469.195.255.255262,142
11469.196.0.0/1469.196.0.1 to 69.199.255.25469.199.255.255262,142
11569.200.0.0/1469.200.0.1 to 69.203.255.25469.203.255.255262,142
11669.204.0.0/1469.204.0.1 to 69.207.255.25469.207.255.255262,142
11769.208.0.0/1469.208.0.1 to 69.211.255.25469.211.255.255262,142
11869.212.0.0/1469.212.0.1 to 69.215.255.25469.215.255.255262,142
11969.216.0.0/1469.216.0.1 to 69.219.255.25469.219.255.255262,142
12069.220.0.0/1469.220.0.1 to 69.223.255.25469.223.255.255262,142
12169.224.0.0/1469.224.0.1 to 69.227.255.25469.227.255.255262,142
12269.228.0.0/1469.228.0.1 to 69.231.255.25469.231.255.255262,142
12369.232.0.0/1469.232.0.1 to 69.235.255.25469.235.255.255262,142
12469.236.0.0/1469.236.0.1 to 69.239.255.25469.239.255.255262,142
12569.240.0.0/1469.240.0.1 to 69.243.255.25469.243.255.255262,142
12669.244.0.0/1469.244.0.1 to 69.247.255.25469.247.255.255262,142
12769.248.0.0/1469.248.0.1 to 69.251.255.25469.251.255.255262,142
12869.252.0.0/1469.252.0.1 to 69.255.255.25469.255.255.255262,142
12970.0.0.0/1470.0.0.1 to 70.3.255.25470.3.255.255262,142
13070.4.0.0/1470.4.0.1 to 70.7.255.25470.7.255.255262,142
13170.8.0.0/1470.8.0.1 to 70.11.255.25470.11.255.255262,142
13270.12.0.0/1470.12.0.1 to 70.15.255.25470.15.255.255262,142
13370.16.0.0/1470.16.0.1 to 70.19.255.25470.19.255.255262,142
13470.20.0.0/1470.20.0.1 to 70.23.255.25470.23.255.255262,142
13570.24.0.0/1470.24.0.1 to 70.27.255.25470.27.255.255262,142
13670.28.0.0/1470.28.0.1 to 70.31.255.25470.31.255.255262,142
13770.32.0.0/1470.32.0.1 to 70.35.255.25470.35.255.255262,142
13870.36.0.0/1470.36.0.1 to 70.39.255.25470.39.255.255262,142
13970.40.0.0/1470.40.0.1 to 70.43.255.25470.43.255.255262,142
14070.44.0.0/1470.44.0.1 to 70.47.255.25470.47.255.255262,142
14170.48.0.0/1470.48.0.1 to 70.51.255.25470.51.255.255262,142
14270.52.0.0/1470.52.0.1 to 70.55.255.25470.55.255.255262,142
14370.56.0.0/1470.56.0.1 to 70.59.255.25470.59.255.255262,142
14470.60.0.0/1470.60.0.1 to 70.63.255.25470.63.255.255262,142
14570.64.0.0/1470.64.0.1 to 70.67.255.25470.67.255.255262,142
14670.68.0.0/1470.68.0.1 to 70.71.255.25470.71.255.255262,142
14770.72.0.0/1470.72.0.1 to 70.75.255.25470.75.255.255262,142
14870.76.0.0/1470.76.0.1 to 70.79.255.25470.79.255.255262,142
14970.80.0.0/1470.80.0.1 to 70.83.255.25470.83.255.255262,142
15070.84.0.0/1470.84.0.1 to 70.87.255.25470.87.255.255262,142
15170.88.0.0/1470.88.0.1 to 70.91.255.25470.91.255.255262,142
15270.92.0.0/1470.92.0.1 to 70.95.255.25470.95.255.255262,142
15370.96.0.0/1470.96.0.1 to 70.99.255.25470.99.255.255262,142
15470.100.0.0/1470.100.0.1 to 70.103.255.25470.103.255.255262,142
15570.104.0.0/1470.104.0.1 to 70.107.255.25470.107.255.255262,142
15670.108.0.0/1470.108.0.1 to 70.111.255.25470.111.255.255262,142
15770.112.0.0/1470.112.0.1 to 70.115.255.25470.115.255.255262,142
15870.116.0.0/1470.116.0.1 to 70.119.255.25470.119.255.255262,142
15970.120.0.0/1470.120.0.1 to 70.123.255.25470.123.255.255262,142
16070.124.0.0/1470.124.0.1 to 70.127.255.25470.127.255.255262,142
16170.128.0.0/1470.128.0.1 to 70.131.255.25470.131.255.255262,142
16270.132.0.0/1470.132.0.1 to 70.135.255.25470.135.255.255262,142
16370.136.0.0/1470.136.0.1 to 70.139.255.25470.139.255.255262,142
16470.140.0.0/1470.140.0.1 to 70.143.255.25470.143.255.255262,142
16570.144.0.0/1470.144.0.1 to 70.147.255.25470.147.255.255262,142
16670.148.0.0/1470.148.0.1 to 70.151.255.25470.151.255.255262,142
16770.152.0.0/1470.152.0.1 to 70.155.255.25470.155.255.255262,142
16870.156.0.0/1470.156.0.1 to 70.159.255.25470.159.255.255262,142
16970.160.0.0/1470.160.0.1 to 70.163.255.25470.163.255.255262,142
17070.164.0.0/1470.164.0.1 to 70.167.255.25470.167.255.255262,142
17170.168.0.0/1470.168.0.1 to 70.171.255.25470.171.255.255262,142
17270.172.0.0/1470.172.0.1 to 70.175.255.25470.175.255.255262,142
17370.176.0.0/1470.176.0.1 to 70.179.255.25470.179.255.255262,142
17470.180.0.0/1470.180.0.1 to 70.183.255.25470.183.255.255262,142
17570.184.0.0/1470.184.0.1 to 70.187.255.25470.187.255.255262,142
17670.188.0.0/1470.188.0.1 to 70.191.255.25470.191.255.255262,142
17770.192.0.0/1470.192.0.1 to 70.195.255.25470.195.255.255262,142
17870.196.0.0/1470.196.0.1 to 70.199.255.25470.199.255.255262,142
17970.200.0.0/1470.200.0.1 to 70.203.255.25470.203.255.255262,142
18070.204.0.0/1470.204.0.1 to 70.207.255.25470.207.255.255262,142
18170.208.0.0/1470.208.0.1 to 70.211.255.25470.211.255.255262,142
18270.212.0.0/1470.212.0.1 to 70.215.255.25470.215.255.255262,142
18370.216.0.0/1470.216.0.1 to 70.219.255.25470.219.255.255262,142
18470.220.0.0/1470.220.0.1 to 70.223.255.25470.223.255.255262,142
18570.224.0.0/1470.224.0.1 to 70.227.255.25470.227.255.255262,142
18670.228.0.0/1470.228.0.1 to 70.231.255.25470.231.255.255262,142
18770.232.0.0/1470.232.0.1 to 70.235.255.25470.235.255.255262,142
18870.236.0.0/1470.236.0.1 to 70.239.255.25470.239.255.255262,142
18970.240.0.0/1470.240.0.1 to 70.243.255.25470.243.255.255262,142
19070.244.0.0/1470.244.0.1 to 70.247.255.25470.247.255.255262,142
19170.248.0.0/1470.248.0.1 to 70.251.255.25470.251.255.255262,142
19270.252.0.0/1470.252.0.1 to 70.255.255.25470.255.255.255262,142
19371.0.0.0/1471.0.0.1 to 71.3.255.25471.3.255.255262,142
19471.4.0.0/1471.4.0.1 to 71.7.255.25471.7.255.255262,142
19571.8.0.0/1471.8.0.1 to 71.11.255.25471.11.255.255262,142
19671.12.0.0/1471.12.0.1 to 71.15.255.25471.15.255.255262,142
19771.16.0.0/1471.16.0.1 to 71.19.255.25471.19.255.255262,142
19871.20.0.0/1471.20.0.1 to 71.23.255.25471.23.255.255262,142
19971.24.0.0/1471.24.0.1 to 71.27.255.25471.27.255.255262,142
20071.28.0.0/1471.28.0.1 to 71.31.255.25471.31.255.255262,142
20171.32.0.0/1471.32.0.1 to 71.35.255.25471.35.255.255262,142
20271.36.0.0/1471.36.0.1 to 71.39.255.25471.39.255.255262,142
20371.40.0.0/1471.40.0.1 to 71.43.255.25471.43.255.255262,142
20471.44.0.0/1471.44.0.1 to 71.47.255.25471.47.255.255262,142
20571.48.0.0/1471.48.0.1 to 71.51.255.25471.51.255.255262,142
20671.52.0.0/1471.52.0.1 to 71.55.255.25471.55.255.255262,142
20771.56.0.0/1471.56.0.1 to 71.59.255.25471.59.255.255262,142
20871.60.0.0/1471.60.0.1 to 71.63.255.25471.63.255.255262,142
20971.64.0.0/1471.64.0.1 to 71.67.255.25471.67.255.255262,142
21071.68.0.0/1471.68.0.1 to 71.71.255.25471.71.255.255262,142
21171.72.0.0/1471.72.0.1 to 71.75.255.25471.75.255.255262,142
21271.76.0.0/1471.76.0.1 to 71.79.255.25471.79.255.255262,142
21371.80.0.0/1471.80.0.1 to 71.83.255.25471.83.255.255262,142
21471.84.0.0/1471.84.0.1 to 71.87.255.25471.87.255.255262,142
21571.88.0.0/1471.88.0.1 to 71.91.255.25471.91.255.255262,142
21671.92.0.0/1471.92.0.1 to 71.95.255.25471.95.255.255262,142
21771.96.0.0/1471.96.0.1 to 71.99.255.25471.99.255.255262,142
21871.100.0.0/1471.100.0.1 to 71.103.255.25471.103.255.255262,142
21971.104.0.0/1471.104.0.1 to 71.107.255.25471.107.255.255262,142
22071.108.0.0/1471.108.0.1 to 71.111.255.25471.111.255.255262,142
22171.112.0.0/1471.112.0.1 to 71.115.255.25471.115.255.255262,142
22271.116.0.0/1471.116.0.1 to 71.119.255.25471.119.255.255262,142
22371.120.0.0/1471.120.0.1 to 71.123.255.25471.123.255.255262,142
22471.124.0.0/1471.124.0.1 to 71.127.255.25471.127.255.255262,142
22571.128.0.0/1471.128.0.1 to 71.131.255.25471.131.255.255262,142
22671.132.0.0/1471.132.0.1 to 71.135.255.25471.135.255.255262,142
22771.136.0.0/1471.136.0.1 to 71.139.255.25471.139.255.255262,142
22871.140.0.0/1471.140.0.1 to 71.143.255.25471.143.255.255262,142
22971.144.0.0/1471.144.0.1 to 71.147.255.25471.147.255.255262,142
23071.148.0.0/1471.148.0.1 to 71.151.255.25471.151.255.255262,142
23171.152.0.0/1471.152.0.1 to 71.155.255.25471.155.255.255262,142
23271.156.0.0/1471.156.0.1 to 71.159.255.25471.159.255.255262,142
23371.160.0.0/1471.160.0.1 to 71.163.255.25471.163.255.255262,142
23471.164.0.0/1471.164.0.1 to 71.167.255.25471.167.255.255262,142
23571.168.0.0/1471.168.0.1 to 71.171.255.25471.171.255.255262,142
23671.172.0.0/1471.172.0.1 to 71.175.255.25471.175.255.255262,142
23771.176.0.0/1471.176.0.1 to 71.179.255.25471.179.255.255262,142
23871.180.0.0/1471.180.0.1 to 71.183.255.25471.183.255.255262,142
23971.184.0.0/1471.184.0.1 to 71.187.255.25471.187.255.255262,142
24071.188.0.0/1471.188.0.1 to 71.191.255.25471.191.255.255262,142
24171.192.0.0/1471.192.0.1 to 71.195.255.25471.195.255.255262,142
24271.196.0.0/1471.196.0.1 to 71.199.255.25471.199.255.255262,142
24371.200.0.0/1471.200.0.1 to 71.203.255.25471.203.255.255262,142
24471.204.0.0/1471.204.0.1 to 71.207.255.25471.207.255.255262,142
24571.208.0.0/1471.208.0.1 to 71.211.255.25471.211.255.255262,142
24671.212.0.0/1471.212.0.1 to 71.215.255.25471.215.255.255262,142
24771.216.0.0/1471.216.0.1 to 71.219.255.25471.219.255.255262,142
24871.220.0.0/1471.220.0.1 to 71.223.255.25471.223.255.255262,142
24971.224.0.0/1471.224.0.1 to 71.227.255.25471.227.255.255262,142
25071.228.0.0/1471.228.0.1 to 71.231.255.25471.231.255.255262,142
25171.232.0.0/1471.232.0.1 to 71.235.255.25471.235.255.255262,142
25271.236.0.0/1471.236.0.1 to 71.239.255.25471.239.255.255262,142
25371.240.0.0/1471.240.0.1 to 71.243.255.25471.243.255.255262,142
25471.244.0.0/1471.244.0.1 to 71.247.255.25471.247.255.255262,142
25571.248.0.0/1471.248.0.1 to 71.251.255.25471.251.255.255262,142
25671.252.0.0/1471.252.0.1 to 71.255.255.25471.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses